Bug 1547049

Summary: conu does not work on ppc64 because there is no docker package on ppc64
Product: [Fedora] Fedora Reporter: Jan Koscielniak <jkosciel>
Component: conuAssignee: Eliska Slobodova <eslobodo>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: jpopelka
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-11 16:30:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1071880    

Description Jan Koscielniak 2018-02-20 12:26:55 UTC
tracker bug as per https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures

conu has broken dependencies in the rawhide tree:
On ppc64:
        python3-conu-0.2.0-1.fc28.noarch requires docker
        python3-conu-0.2.0-1.fc28.noarch requires source-to-image
On ppc64:
        python2-conu-0.2.0-1.fc28.noarch requires docker


Since there is no docker and no source-to-image package on this architecture, conu can't be built on ppc64. As a solution I have excluded this architecture.

Comment 1 Jan Kurik 2018-08-14 10:15:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.